I have some bad experience with running it in opensuse 11.0

how I made this:
I add this repo
Index of /repositories/home:/FunkyM:/GNOME/openSUSE_11.0

and update all gnome 2.22 with gnome 2.24

how this can be done right?